(function ($) {
    'use strict';

    /**
     * All of the code for your public-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */

    $(function () {
        var lb_tab1 = $("#lb-tab-1");
        var lb_tab2 = $("#lb-tab-2");
        var lb_top_ranked = $("#lb_top_ranked");
        var lb_fastest = $("#lb_fastest");

        lb_tab1.click(function () {
            lb_tab1.addClass("active");
            lb_tab2.removeClass("active");
            lb_top_ranked.hide();
            lb_fastest.show();
        });

        lb_tab2.click(function () {
            lb_tab2.addClass("active");
            lb_tab1.removeClass("active");
            lb_fastest.hide();
            lb_top_ranked.show();
        });

        if (window.location.href.indexOf("lb_sort") > -1) {
            lb_tab2.addClass("active");
            lb_tab1.removeClass("active");
            lb_fastest.hide();
            lb_top_ranked.show();
        }
    });

})(jQuery);
